Bug 1028556 - Edit logical network dialog looks way different depending on where it is invoked [NEEDINFO]
Edit logical network dialog looks way different depending on where it is invoked
Status: CLOSED NOTABUG
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
Unspecified Unspecified
low Severity medium (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Eliraz Levi
bugs@ovirt.org
network
: UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 13:55 EST by mrao
Modified: 2016-02-10 14:15 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 03:14:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: needinfo?
ylavi: ovirt‑4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)
mockup: Setup Host Networks [V9] (130.89 KB, image/png)
2014-07-29 13:15 EDT, Einav Cohen
no flags Details

  None (edit)
Description mrao 2013-11-08 13:55:31 EST
Description of problem:

The Edit Logical Networks dialog can be invoked in two places - (1) Data center main tab > Logical network sub tab> Edit and (2) Hosts main tab> Network interfaces  sub tab> setup host networks dialog> hover on any network> click pencil edit icon> Edit

Although the entity that is being edited is exactly the same, the edit dialogs are vastly different in how they look. The reason this is the case is because in the Setup networks scenario, the user is expected only to deal with the host specific parameters of the network configuration but this can still be achieved by bringing up the same Edit dialog as in the main edit dialog in (1)and introduce a new left tab called 'Host Parameters' with the content in (2) and making it the default tab when invoked from the setup network dialog even though it is the last of the tabs on the left. This way the dialog is consistent but with additional fields in the host context. 

At minimum, if the decision is to not make these consistent, then the network parameters from dialog (1) that do display in (2) should display in the edit dialog from (2) as well - i.e, the MTU, VM network icon/flag and today show on the tooltip should also show in the edit dialog even if only in read-only mode. Similarly the VLAN tagging which is possibly the most important info in this context and that currently displays in parentheses, should additionally show in the edit dialog as well. These are all attributes that were listed in the original edit dialog (1) but are distributed and displayed in different ways in (2). At minimum, they must all at least live on the edit dialog.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2014-01-12 03:41:43 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.
Comment 2 Lior Vernia 2014-01-29 08:13:42 EST
I personally don't agree that this should resonate the form of other network dialogs, because this is, as you mentioned, in a different context where other parameters are most relevant.

However, I agree that it makes perfect sense to show these fields (VLAN, MTU, etc.) in the dialog even if they're not modifiable, and using the design of the other network dialogs might be the path of least coding.
Comment 3 Lior Vernia 2014-05-22 08:53:12 EDT
This week I looked carefully at the code, and while everything Malini described is doable, it looks to me like too big of a hassle for the gain; as I had stated, I don't see it as a big issue that the dialog looks different from the edit logical network dialog, as their function is completely different.

I think we should just figure out which parameters are important to show in the context of configuring a network on a host, and show these. Nir, what do you think? Which parameters that don't show today are pertinent?
Comment 4 Einav Cohen 2014-06-09 13:41:19 EDT
Edit Logical Network from the DC (or Networks main tab) level is different from the Edit Network from the "Setup Host Network" context: In the former, you are actually editing the Logical Network business entity; in the latter, you are editing the parameters of the connection between the Logical Network and the physical layer component in the Host to which this Network is connected to (NIC, Bond, etc.). 

Having a pencil icon on the Network box in the Setup Host Networks dialog is indeed misleading, as the user may think that he is editing the Logical Network itself. 
One possible improvement is to change the pencil icon to something else (e.g. something that represents a connection) and edit the icon's tool-tip and dialog title to something other than "Edit Network" - maybe something like "configure connection to network" or something similar (maybe Nir can help here).
Comment 5 Lior Vernia 2014-07-09 10:55:16 EDT
Pushing back because related to other visual changes in the dialog that won't take place in 3.5.
Comment 7 Einav Cohen 2014-07-29 13:15:51 EDT
Created attachment 922236 [details]
mockup: Setup Host Networks [V9]
Comment 8 Einav Cohen 2014-07-29 13:17:33 EDT
(In reply to Einav Cohen from comment #4)
> ...
> One possible improvement is to change the pencil icon to something else
> (e.g. something that represents a connection) and edit the icon's tool-tip
> and dialog title to something other than "Edit Network" - maybe something
> like "configure connection to network" or something similar (maybe Nir can
> help here).

in the latest mock-ups for the Setup Host Network dialog (see attachment 922236 [details]) there is no longer a pencil icon - a gearwheel icon replaces it. this should resolve the issue reported in this BZ.
Comment 9 Sandro Bonazzola 2015-09-04 04:58:54 EDT
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.
Comment 10 Yaniv Lavi 2015-10-14 08:49:44 EDT
Does this recreate on latest 3.6?
Comment 11 Red Hat Bugzilla Rules Engine 2015-10-19 07:03:42 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 12 Dan Kenigsberg 2015-12-03 03:14:03 EST
I do not think it is important to include DC-level properties of a network when editing its host attachment.

DC-level properties show up as a tooltip when hovering over it in the SetupNetworks dialog.

Note You need to log in before you can comment on or make changes to this bug.